classification
Title: Change formatter warning to DeprecationWarning in 3.5
Type: enhancement Stage: needs patch
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: 18716 Superseder:
Assigned To: brett.cannon Nosy List: Esa.Peuha, berker.peksag, brett.cannon, ezio.melotti, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2013-10-04 15:40 by brett.cannon, last changed 2014-03-21 14:52 by brett.cannon. This issue is now closed.

Messages (4)
msg199214 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-10-08 16:13
You two may know what this is about, but I have no clue :)  A few more details would help if someone wants to try their hand at a patch.
msg199280 - (view) Author: Esa Peuha (Esa.Peuha) Date: 2013-10-09 10:01
The wanted patch seems to be very simple: change PendingDeprecationWarning to DeprecationWarning on line 24 of Lib/formatter.py but only for Python 3.5 (i.e. no need to do anything until 3.4 is released).

On a related note, should formatter be added to PEP 4?
msg199310 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-10-09 16:54
Esa is right; this is a placeholder bug to remind me to do this in Python 3.5.

And Esa is also right about adding formatter to PEP 4; I'll reopen the original bug to remind me to do that.
msg214373 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-21 14:52
New changeset 455e5385752a by Brett Cannon in branch 'default':
Issue #19165: The formatter module graduates to full deprecation.
http://hg.python.org/cpython/rev/455e5385752a
History
Date User Action Args
2014-03-21 14:52:33brett.cannonsetstatus: open -> closed
resolution: fixed
2014-03-21 14:52:19python-devsetnosy: + python-dev
messages: + msg214373
2013-10-09 16:54:41brett.cannonsetdependencies: + Deprecate the formatter module
2013-10-09 16:54:09brett.cannonsetmessages: + msg199310
2013-10-09 10:01:08Esa.Peuhasetnosy: + Esa.Peuha
messages: + msg199280
2013-10-09 01:59:41berker.peksagsetnosy: + berker.peksag
2013-10-08 16:13:00r.david.murraysetnosy: + r.david.murray
messages: + msg199214
2013-10-05 00:25:23ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: needs patch
2013-10-04 15:40:15brett.cannoncreate